[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: collectd major upgrade problem



On Tue, 14 Aug 2012 19:29:41 +0800
Christopher Meng <cickumqt gmail com> wrote:

> Hi,Stephen.
> 
> Do you mean I should upgrade this when 4.x is obsoleted?

I think the suggestion is a parallel installable collectd5 package. 

I'm not sure how hard that would be to do, but I think it's our best
bet.

Looking over the migration script and guide, I really don't think it's
going to be possible to do a seamless upgrade in rpm. It would have to
modify the config, migrate the data and if their were still v4 clients
it would have to set them to the right thing to handle their data. Too
many parts there that might be manual. ;( 

If someone wants to try and create a parallel installable collectd5
package, I'd be happy to review/co-maintain. ;) 

kevin

Attachment: signature.asc
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]